/** @file Timing.cc
    @brief Definition of the Timing class

    This file is part of XLSX
    Output Office Open XML (OpenXML) spreadsheet files from native C++
    @author (C) Copyright 2013 Paolo Greppi libpf.com
    @date: 20130118
    @version: 0.1

    no warranties whatsoever
    distribute freely and free of charge citing this:
      http://wp.libpf.com/?p=670
 */

#include "Timing.h"

std::string Timing::W3CDTF(void) {
  std::time(&mytime_t);
  mytm = std::gmtime(&mytime_t);
  static std::ostringstream buffer;
  buffer.str("");
  buffer << 1900 + mytm->tm_year << "-" <<
  (1 + mytm->tm_mon < 10 ? "0" : "") <<
  1 + mytm->tm_mon << "-" <<
  (mytm->tm_mday < 10 ? "0" : "") <<
  mytm->tm_mday << "T" <<
  (1 + mytm->tm_hour < 10 ? "0" : "") <<
  1 + mytm->tm_hour << ":" <<
  (mytm->tm_min < 10 ? "0" : "") <<
  mytm->tm_min << ":" <<
  (mytm->tm_sec < 10 ? "0" : "") <<
  mytm->tm_sec << "Z";
  return buffer.str();
} // Timing::W3CDTF
